{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":516,"path":"api-reference/rest-apis/help-request-api.md","title":"Help Request API","bundle":null,"doc_type":null,"release":"australia","body":"\n# Help Request API\n\nThe Help Request API provides an endpoint to track supervisor help actions.\n\nThis API records supervisor help for agents working on interactions, including the help start and end time and the type of help. For more information about help requests, see [Agent help request for voice calls](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/customer-service-management/agent-help-request-for-voice-calls.md).\n\nThis API requires the Interactions Management plugin \\(com.glide.interaction\\). The calling user must have the interaction\\_integration\\_user role.\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## Help Request - POST /now/helprequest/action/create\\_or\\_update\n\nCreates or updates a supervisor help action.\n\nCall this endpoint when a supervisor accepts an interaction help request. A record to track the help is created in the Supervisor Help Action \\[supervisor\\_help\\_action\\] table. Call this endpoint again when the supervisor completes their help to update the help action record with the end time.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/helprequest/action/create_or_update`\n\nDefault URL: `/api/now/helprequest/action/create_or_update`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\naction\n\n</td><td>\n\nType of assistance provided by the supervisor. Required when creating a supervisor help action.Valid values \\(case sensitive\\):\n\n-   barge\\_in\n-   coach\n-   monitor\n-   observe\n\nFor additional information about supervisor actions, see [Monitoring calls](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/customer-service-management/call-monitoring.md).\n\nData type: String\n\n</td></tr><tr><td>\n\naction\\_sys\\_id\n\n</td><td>\n\nSys\\_id of the supervisor help action. Required when updating a single specified supervisor help action, but can be excluded to bulk update all supervisor help actions for an interaction.\n\nTable: Supervisor Help Action \\[supervisor\\_help\\_action\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nend\\_time\n\n</td><td>\n\nDate and time the supervisor ended assistance.**Note:** To update a single specified supervisor help action with an end time, a valid value must be provided for this parameter. However, when bulk updating all supervisor help actions for an interaction, excluding this parameter sets the current time as the end time.\n\nData type: String\n\n</td></tr><tr><td>\n\nhelp\\_request\n\n</td><td>\n\nSys\\_id of the interaction help request.Table: Interaction Help Request \\[interaction\\_help\\_request\\]\n\nData type: String\n\n</td></tr><tr><td>\n\ninteraction\n\n</td><td>\n\nRequired. Sys\\_id of the interaction.Table: Interaction \\[interaction\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nstart\\_time\n\n</td><td>\n\nDate and time the supervisor started assistance.Default: Creation date and time of the supervisor help action record.\n\nData type: String\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr><tr><td>\n\nContent-Type\n\n</td><td id=\"content_type-entry-RESTAPI\">\n\nData format of the request body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Not found. The requested item wasn't found.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nDetails about the result of the API request.Data type: Object\n\n```\n\"result\": {\n   \"action_sys_id\": \"String\",\n   \"message\": \"String\",\n   \"success\": Boolean  \n}\n```\n\n</td></tr><tr><td>\n\nresult.action\\_sys\\_id\n\n</td><td>\n\nSys\\_id of the created or updated supervisor help action.Table: Supervisor Help Action \\[supervisor\\_help\\_action\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.message\n\n</td><td>\n\nMessage with details about the success or failure of the API request.Data type: String\n\n</td></tr><tr><td>\n\nresult.success\n\n</td><td>\n\nFlag that indicates whether the API request was successful.Possible values:\n\n-   true: Success\n-   false: Failure\n\nData type: Boolean\n\n</td></tr></tbody>\n</table>### cURL request\n\nThis example creates a supervisor help action.\n\n```\ncurl \"https://instance.service-now.com/api/now/helprequest/action/create_or_update\" \\\n--request POST \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\" \\\n--data \"{\n   \\\"interaction\\\": \\\"d4dec70f3b4bfe101baa9f7e53e45a5d\\\",\n   \\\"action\\\": \\\"coach\\\"\n}\" \\\n--user 'username':'password'\n```\n\nResponse body.\n\n```\n{\n  \"result\": {\n    \"success\": true,\n    \"message\": \"Supervisor help action created successfully\",\n    \"action_sys_id\": \"d25f034f3b4bfe101baa9f7e53e45a9f\"\n  }\n}\n```\n\n### cURL request\n\nThis example updates a supervisor help action with an end time.\n\n```\ncurl \"https://instance.service-now.com/api/now/helprequest/action/create_or_update\" \\\n--request POST \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\" \\\n--data \"{\n   \\\"interaction\\\": \\\"d4dec70f3b4bfe101baa9f7e53e45a5d\\\",\n   \\\"action_sys_id\\\": \\\"d25f034f3b4bfe101baa9f7e53e45a9f\\\",\n   \\\"end_time\\\": \\\"2026-02-18 11:30:00\\\"\n}\" \\\n--user 'username':'password'\n```\n\nResponse body.\n\n```\n{\n  \"result\": {\n    \"success\": true,\n    \"message\": \"Supervisor help action updated successfully\",\n    \"action_sys_id\": \"d25f034f3b4bfe101baa9f7e53e45a9f\"\n  }\n}\n```\n\n### cURL request\n\nThis example updates all supervisor help actions for an interaction with an end time.\n\n```\ncurl \"https://instance.service-now.com/api/now/helprequest/action/create_or_update\" \\\n--request POST \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\" \\\n--data \"{\n   \\\"interaction\\\": \\\"cd87db433bcbfe101baa9f7e53e45a4d\\\",\n   \\\"end_time\\\": \\\"2026-02-18 11:24:18\\\"\n}\" \\\n--user 'username':'password'\n```\n\nResponse body.\n\n```\n{\n  \"result\": {\n    \"success\": true,\n    \"message\": \"end_time updated for all supervisor help actions associated with the interaction id: cd87db433bcbfe101baa9f7e53e45a4d\"\n  }\n}\n```\n\n"}}